# Enum ethcore::error::TransactionError [−] [src]

    pub enum TransactionError {
        AlreadyImported,
        Old,
        TooCheapToReplace,
        LimitReached,
        InsufficientGasPrice {
            minimal: U256,
            got: U256,
        },
        InsufficientGas {
            minimal: U256,
            got: U256,
        },
        InsufficientBalance {
            balance: U256,
            cost: U256,
        },
        GasLimitExceeded {
            limit: U256,
            got: U256,
        },
        InvalidGasLimit(OutOfBounds<U256>),
        SenderBanned,
        RecipientBanned,
        CodeBanned,
        InvalidNetworkId,
    }

Errors concerning transaction processing.

## Variants

`AlreadyImported`

Transaction is already imported to the queue

`Old`

Transaction is not valid anymore (state already has higher nonce)

`TooCheapToReplace`

Transaction has too low fee (there is already a transaction with the same sender-nonce but higher gas price)

`LimitReached`

Transaction was not imported to the queue because limit has been reached.

`InsufficientGasPrice`

Transaction's gas price is below threshold.

### Fields

`minimal: U256` | Minimal expected gas price
`got: U256` | Transaction gas price

`InsufficientGas`

Transaction's gas is below currently set minimal gas requirement.

### Fields

`minimal: U256` | Minimal expected gas
`got: U256` | Transaction gas

`InsufficientBalance`

Sender doesn't have enough funds to pay for this transaction

### Fields

`balance: U256` | Senders balance
`cost: U256` | Transaction cost

`GasLimitExceeded`

Transactions gas is higher then current gas limit

### Fields

`limit: U256` | Current gas limit
`got: U256` | Declared transaction gas

`InvalidGasLimit(OutOfBounds<U256>)`

Transaction's gas limit (aka gas) is invalid.

`SenderBanned`

Transaction sender is banned.

`RecipientBanned`

Transaction receipient is banned.

`CodeBanned`

Contract creation code is banned.

`InvalidNetworkId`

Invalid network ID given.

## Trait Implementations

### `impl Debug for TransactionError`
[src]

#### `fn fmt(&self, __arg_0: &mut Formatter) -> Result`

Formats the value using the given formatter.

### `impl PartialEq for TransactionError`
[src]

#### `fn eq(&self, __arg_0: &TransactionError) -> bool`

This method tests for `self` and `other` values to be equal, and is used by `==`. Read more

#### `fn ne(&self, __arg_0: &TransactionError) -> bool`

This method tests for `!=`.

### `impl Clone for TransactionError`
[src]

#### `fn clone(&self) -> TransactionError`

Returns a copy of the value. Read more

#### `fn clone_from(&mut self, source: &Self)`
1.0.0

Performs copy-assignment from `source`. Read more

### `impl Copy for TransactionError`
[src]

### `impl Display for TransactionError`
[src]

#### `fn fmt(&self, f: &mut Formatter) -> Result`

Formats the value using the given formatter.

### `impl BinaryConvertable for TransactionError where TransactionError: Copy`

#### `fn from_bytes(bytes: &[u8],
_length_stack: &mut VecDeque<usize>)
-> Result<Self, BinaryConvertError>`

#### `fn to_bytes(&self,
buffer: &mut [u8],
_length_stack: &mut VecDeque<usize>)
-> Result<(), BinaryConvertError>`

#### `fn size(&self) -> usize`

#### `fn from_empty_bytes() -> Result<Self, BinaryConvertError>`

#### `fn len_params() -> usize`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)